CREATE TABLE CUSTOMER (
	ID NUMBER(9) PRIMARY KEY,
	NAME VARCHAR2(50),
	USERNAME VARCHAR2(50),
	PASSWORD VARCHAR2(50)
)

CREATE TABLE ACCOUNT(
	ID NUMBER(9) PRIMARY KEY,
	BALANCE NUMBER(10,2),
	STATUS VARCHAR2(20),--ACTIVE, PENDING OR REJECTED
	CUSTOMER_ID NUMBER(9) REFERENCES CUSTOMER
)

CREATE TABLE ACCT_TRANSACTION(
	ID NUMBER(9) PRIMARY KEY,
	TRANSACTION_TYPE VARCHAR2(20),
	AMOUNT NUMBER(10,2),
	ACCOUNT_ID NUMBER(9) REFERENCES ACCOUNT
)

CREATE TABLE EMPLOYEE (
	ID NUMBER(9) PRIMARY KEY,
	NAME VARCHAR2(50),
	USERNAME VARCHAR2(50),
	PASSWORD VARCHAR2(50)
)

INSERT INTO EMPLOYEE VALUES (001, 'ALLEN GAMBLE', 'GATOR', 'FACEBACK');
INSERT INTO EMPLOYEE VALUES (002, 'TERRY HOITZ', 'PEACOCK', 'JETER');
INSERT INTO CUSTOMER VALUES (101, 'SHEILA GAMBLE', 'SHEILA123', 'GAMBLE456');
INSERT INTO CUSTOMER VALUES (102, 'CHRISTINITH', 'ALLEN101', 'ALLEN564');
SELECT * FROM EMPLOYEE e;
SELECT * FROM CUSTOMER c ;
UPDATE CUSTOMER SET PASSWORD = 'ARNIEPALMIE' WHERE ID = 102;

ALTER TABLE CUSTOMER ADD CREDIT_SCORE NUMBER(3);
ALTER TABLE ACCOUNT ADD ACCT_TYPE VARCHAR2(20);

UPDATE CUSTOMER SET CREDIT_SCORE = 540 WHERE ID = 102;
UPDATE CUSTOMER SET CREDIT_SCORE = 700 WHERE ID = 101;

SELECT PASSWORD FROM EMPLOYEE e WHERE USERNAME = 'PEACOCK';

ALTER TABLE CUSTOMER ADD UNIQUE (USERNAME);
ALTER TABLE EMPLOYEE ADD UNIQUE (USERNAME);

INSERT INTO ACCOUNT VALUES (001, 10000.00, 'ACTIVE', 101, 'CHECKING');

UPDATE EMPLOYEE SET USERNAME = 'A.gamble123' WHERE ID = 001;
UPDATE EMPLOYEE SET USERNAME = 'T.Hoitz56' WHERE ID = 002;
UPDATE EMPLOYEE SET PASSWORD = 'GATOR' WHERE ID = 001;

SELECT MAX(ID) FROM EMPLOYEE e ;
SELECT MAX(ID) FROM CUSTOMER c ;

SELECT * FROM ACCOUNT a WHERE CUSTOMER_ID = 101;

INSERT INTO ACCOUNT VALUES (002, 0, 'REJECTED', 101, 'SAVINGS');

SELECT MAX(ID) FROM ACCT_TRANSACTION at2 ;

UPDATE ACCOUNT SET BALANCE = 10500.5 WHERE ID = 1;

SELECT * FROM ACCOUNT a WHERE CUSTOMER_ID = 101 ORDER BY ID ASC;

SELECT MAX(ID) FROM ACCOUNT a ; 

SELECT * FROM CUSTOMER c FULL JOIN ACCOUNT a ON c.ID = a.CUSTOMER_ID;
SELECT NAME, a.ID AS ACCOUNT_ID, ACCT_TYPE, BALANCE   
FROM CUSTOMER c 
RIGHT JOIN ACCOUNT a 
ON c.ID = a.CUSTOMER_ID 
WHERE a.STATUS = 'PENDING' ORDER BY ACCOUNT_ID;

SELECT NAME, a.ID AS ACCOUNT_ID, ACCT_TYPE, BALANCE FROM CUSTOMER c RIGHT JOIN ACCOUNT a ON c.ID = a.CUSTOMER_ID WHERE a.STATUS = 'PENDING' ORDER BY ACCOUNT_ID;

SELECT NAME, a.ID AS ACCOUNT_ID, ACCT_TYPE, BALANCE   
FROM CUSTOMER c 
RIGHT JOIN ACCOUNT a 
ON c.ID = a.CUSTOMER_ID 
ORDER BY ACCOUNT_ID;

SELECT ID, TRANSACTION_TYPE, AMOUNT FROM ACCT_TRANSACTION at2 WHERE at2.ACCOUNT_ID = 1;

DELETE FROM ACCT_TRANSACTION at2 WHERE ID = 0;

